For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
            • Companies
              • GETList Company Permissions
              • POSTCreate Company Permission
              • PUTUpdate Company Permission
              • DELDelete Company Permission
              • GETList Company Roles
              • POSTCreate Company Role
              • GETGet Company Role Details
              • PUTUpdate Company Role
              • DELDelete Company Role
          • Invoice Management
          • Orders
          • Payment
          • Quotes
          • Sales Staff
          • Shopping List
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementCompanyCompany Roles and Permissions

List Company Roles

GET
https://api-b2b.bigcommerce.com/api/v3/io/companies/roles
GET
/api/v3/io/companies/roles
$curl -G https://api-b2b.bigcommerce.com/api/v3/io/companies/roles \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> --data-urlencode "q=Procurement Manager" \
> -d offset=3 \
> -d limit=10
200Example 1
1{
2 "code": 200,
3 "data": [
4 {
5 "id": 101,
6 "name": "Procurement Manager",
7 "roleType": 2,
8 "roleLevel": 1
9 },
10 {
11 "id": 102,
12 "name": "Sales Representative",
13 "roleType": 1,
14 "roleLevel": 1
15 },
16 {
17 "id": 103,
18 "name": "Finance Analyst",
19 "roleType": 2,
20 "roleLevel": 1
21 }
22 ],
23 "meta": {
24 "message": "success",
25 "pagination": {
26 "totalCount": 3,
27 "limit": 10,
28 "offset": 0
29 }
30 }
31}
Returns a list of Company user roles.
Was this page helpful?
Previous

Delete Company Permission

Next

Create Company Role

Built with

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Query parameters

qstringOptional
Enter a Company role name to return partial and exact matches.
offsetintegerOptionalDefaults to 0

The number of results to skip before returning the first result. If left blank, this defaults to 0.

limitintegerOptionalDefaults to 10

Determines the number of records to return per page. If left blank, this defaults to 10.

Response

OK
codeinteger
dataobject
metaobject